<?php
require_once('config.php');

$error_message;
$valid = true;


$sql = "SELECT 	puo_mst.puo_mst_po_no,      			
				puo_mst.puo_mst_po_grp,     			
				puo_mst.puo_mst_status,   			
				puo_mst.puo_mst_supplier, 
				puo_mst.puo_mst_po_date,				
				sup_mst.sup_mst_desc,  
				puo_mst.RowID,
				puo_det.puo_det_crd_costcenter,
				puo_det.puo_det_crd_account,
				puo_det.puo_det_chg_costcenter,
				puo_det.puo_det_chg_account

FROM puo_mst(NOLOCK),   			puo_sts(NOLOCK),  			sup_mst(NOLOCK), puo_det(NOLOCK)  

WHERE (	puo_mst.site_cd = puo_sts.site_cd  
		AND puo_mst.puo_mst_status = puo_sts.puo_sts_status  
		AND	puo_mst.site_cd = sup_mst.site_cd  
		AND puo_mst.puo_mst_supplier = sup_mst.sup_mst_supplier_cd 
		AND	puo_mst.site_cd = puo_det.site_cd  
		AND puo_mst.RowID = puo_det.mst_RowID) 
		AND puo_mst.site_cd = '".$_REQUEST['site_cd']."' 
		AND puo_mst_clo_date IS NULL 
		AND puo_mst_po_grp <> 'REPAIR' 
		AND puo_sts.puo_sts_status_type <> 'CANCEL'  order by puo_mst_po_no ";
						
$stmt = sqlsrv_query( $conn, $sql);

if( !$stmt ) {
     $error_message = "Error selecting table (puo_mst)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
}

$json = array();

do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {
		 
		$json[] = $row;
		
						
     }
} while ( sqlsrv_next_result($stmt) );

if ($valid) {
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	
	
	returnData($json);	
}

function returnData($json){
	$returnData = array(
	'status' => 'SUCCESS',	
	'data' => $json);
	
	echo json_encode($returnData);
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',	
	'data' => $json);
	
	echo json_encode($returnData);
	
	
		
	exit();
}
	


?>